Conversions API

COMING SOON Server-to-server endpoint for DSP conversions

📘

Optimizing Match Rates

To ensure you are getting the best possible match rates on your cAPI calls, consider the following opportunities:

  1. Cleanse email values before they are hashed. Ensure all emails are:
    1. Trimmed (remove spaces before the prefix/after the extension)
    2. Lower cased
    3. Cleansed of any "+" parameters in the prefix (ie. [email protected] -> [email protected])
    4. Cleansed of all "."s in the prefix (ie. [email protected] -> [email protected])
    5. Cleansed of special characters and spaces
  2. MD5 (em) format will generally provide better performance
  3. Include as many IDs/types as you can on each call (ie. both MD5 and SHA256)
Body Params
string
required

Your DSP Advertiser ID

string
required

Your DSP Pixel ID

string
required

Valid inputs: web, app, physical_store, system_generated, other

string

Required when actionSource = web

string

UTC timestamp of the event in ISO 8601 format (e.g., "2025-02-16T10:58:44.965071Z"). Must be no more than 1 week in the past and 2 hours in the future. Defaults to current time.

ids
object
required

At least one supported identifier is required

macros
object

You may apply as many macro key:value pairs as needed for your use case. Any correctly formatted key:value pair will be accepted. Please reach out to your account team for support with specific macro key values.

Headers
string
required

Your ZMP Site ID

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json